/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.admin;

import com.arrebol.taxiservicios.model.core.Person;
import java.io.Serializable;

/**
 *
 * @author Picasso
 */
public class PersonHasService implements Serializable {

    private static final long serialVersionUID = 7180501036889991755L;

    private PersonHasServiceId id;
    private Person person;
    private Service service;

    public PersonHasService() {
    }

    public PersonHasService(PersonHasServiceId id, Person person, Service service) {
        this.id = id;
        this.person = person;
        this.service = service;
    }

    public PersonHasService(PersonHasServiceId id) {
        this.id = id;
    }

    public PersonHasService(Person person, Service service) {
        this.person = person;
        this.service = service;
    }

    public PersonHasServiceId getId() {
        return id;
    }

    public void setId(PersonHasServiceId id) {
        this.id = id;
    }

    public Person getPerson() {
        return person;
    }

    public void setPerson(Person person) {
        this.person = person;
    }

    public Service getService() {
        return service;
    }

    public void setService(Service service) {
        this.service = service;
    }

}
